Package org.codehaus.groovy.ast.expr

# Class TupleExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.TupleExpression

All Implemented Interfaces:
  `Iterable<Expression>`

Direct Known Subclasses:
  `ArgumentListExpression`

public class TupleExpression extends Expression implements Iterable<Expression>
Represents a tuple expression {1, 2, 3} which creates an immutable List

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`TupleExpression()`
`TupleExpression(int length)`
`TupleExpression(List<Expression> expressions)`
`TupleExpression(Expression expr)`
`TupleExpression(Expression[] expressionArray)`
`TupleExpression(Expression expr1, Expression expr2)`
`TupleExpression(Expression expr1, Expression expr2, Expression expr3)`

## Method Summary

Modifier and Type
Method
Description
`TupleExpression`
`addExpression(Expression expression)`
`Expression`
`getExpression(int i)`
`List<Expression>`
`getExpressions()`
`String`
`getText()`
`Iterator<Expression>`
`iterator()`
`String`
`toString()`
`Expression`
`transformExpression(ExpressionTransformer transformer)`
Return a copy of the expression calling the transformer on any nested expressions
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### TupleExpression

public TupleExpression()

### TupleExpression

public TupleExpression(Expression expr)

### TupleExpression

public TupleExpression(Expression expr1, Expression expr2)

### TupleExpression

public TupleExpression(Expression expr1, Expression expr2, Expression expr3)

### TupleExpression

public TupleExpression(int length)

### TupleExpression

public TupleExpression(List<Expression> expressions)

### TupleExpression

public TupleExpression(Expression[] expressionArray)

## Method Details

### addExpression

public TupleExpression addExpression(Expression expression)

### getExpressions

public List<Expression> getExpressions()

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

### transformExpression

public Expression transformExpression(ExpressionTransformer transformer)
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`
Parameters:
  `transformer` -

### getExpression

public Expression getExpression(int i)

### getText

public String getText()

Overrides:
  `getText` in class `ASTNode`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### iterator

public Iterator<Expression> iterator()

Specified by:
  `iterator` in interface `Iterable<Expression>`